Subject: bug#37908: closed (Re: [bug#37908] [PATCH 0/2] Remove monolithic qt5 (and other unused package))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Nov 2019 16:10:02 +0000

Your bug report

#37908: [PATCH 0/2] Remove monolithic qt5 (and other unused package)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37908: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37908
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#37908] [PATCH 0/2] Remove monolithic qt5 (and other unused package)
From: Hartmut Goebel <[email-masked]>
To: Efraim Flashner <[email-masked]>, Ludovic Courtès<[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Nov 2019 17:09:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am 01.11.19 um 15:39 schrieb Efraim Flashner:
>> Please ensure that “guix build qt@4 -nd” returns the same derivation
>> before and after the change.

Done already before submitting the patch :-) But I repeated it now and
this revealed some error. So many thanks for nagging :-)

>>
>> Perhaps add a comment above saying that ‘qt’ used to refer to the
>> monolithic Qt 5.x package?
Done.

> I didn't apply it locally, I can do it in about 36 hours, but it looks
> good. IIRC we have qt4 inheriting from qt5, and qtbase was its own
> definition so nothing should change on that side.

Correct. I added some more explanation to the commit message to make
this more clear.

Pushed as  02511196d99ebc5e385e9dc7f733ffbe848e25ca

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: [PATCH 0/2] Remove monolithic qt5 (and other unused package)
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Thu, 24 Oct 2019 21:20:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The monolithic `qt` package was only used as a base to inhert `qt-4` from.

For testing this change does not change qt-4 in any way:
- run ./pre-inst-env guix build [email-masked]
- apply patch
- again run ./pre-inst-env guix build [email-masked]

-> [email-masked] will *not* be build again. To avoid any rebuilds, I even refrined
from sorting the inputs. :-)

The other patch removes a package which has been merged into qtdeclarative as
of Qt 5.8.0 and is not used anywhere.

Hartmut Goebel (2):
  gnu: Remove qtdeclarative-render2d.
  gnu: Remove monolithic qt5.

 gnu/packages/qt.scm | 328 +++++++-------------------------------------
 1 file changed, 49 insertions(+), 279 deletions(-)

-- 
2.21.0